package com.bocloud.ims.entity.common;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 服务类型
 * 
 * @author Administrator
 *
 */
@Table("service_category")
public class ServiceCategory extends GenericEntity {

	@PK(value = PKStrategy.AUTO)
	private Long id;
	@Column("service_id")
	private Long serviceId; // 服务ID
	@Column("code")
	private String code;// 编码
	@Column("is_reserved")
	private Boolean reserved;// 是否内置
	@Column("sn")
	private String sn;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getServiceId() {
		return serviceId;
	}

	public void setServiceId(Long serviceId) {
		this.serviceId = serviceId;
	}

	public Boolean getReserved() {
		return reserved;
	}

	public void setReserved(Boolean reserved) {
		this.reserved = reserved;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getSn() {
		return sn;
	}

	public void setSn(String sn) {
		this.sn = sn;
	}

}
